Download it now!
Bug 126935 - Spell Check Dialog: Area containing context of error no longer accessible to screen readers
Summary: Spell Check Dialog: Area containing context of error no longer accessible to ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.4.0 target:6.3.3 target:6.3.2
Keywords: accessibility, bibisected, bisected, regression
Depends on:
Blocks: a11y
  Show dependency treegraph
 
Reported: 2019-08-14 23:19 UTC by am_dxer
Modified: 2019-12-03 11:11 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description am_dxer 2019-08-14 23:19:03 UTC
Description:
When using screen readers, the text area to provide context for the misspelling is no longer voices and is announced by Orca as a Drawing area and NVDA as an option Pane.
I bisected the bug on Debian Linux as that is my primary OS.

repo: bibisect-linux-64-6.3
# bad: [ab59b18e6835c0c68d91adef82c576abb10f671b] source sha:5f48428533e928868c11ddd00cc449a54d0cdfd9
# good: [cbe79d197e743d9c38dd1c13c781212e7834bfab] source sha:a20a2d7e0d28658f2d9089da076961a599833a28
git bisect start 'origin/master' 'oldest'
# good: [b3c58ea817b35939c4309eece9ce9ba00589b2b2] source sha:fce6f470d2887833d22d7cffe4c035df1599c7a5
git bisect good b3c58ea817b35939c4309eece9ce9ba00589b2b2
# good: [3e231ca40707c19bbabefcacaed35645f2e5891c] source sha:2e7aa6f7a5669e7c2b4029ef8b0785a7dbdee0eb
git bisect good 3e231ca40707c19bbabefcacaed35645f2e5891c
# good: [f59a0dae715c68bf36b44b77fef382654f315b3b] source sha:aa6b59c4bc4462b451cd6fe674b8fb8600698b2b
git bisect good f59a0dae715c68bf36b44b77fef382654f315b3b
# good: [f9f35d3ae829de0ed0618b6d3bd2b0c9dbb8f3cd] source sha:2574ce0f2dc711e71b4799bbd76d5d8b6ec04300
git bisect good f9f35d3ae829de0ed0618b6d3bd2b0c9dbb8f3cd
# good: [1cca1199b6200e517d3f920d74a28521e9308767] source sha:2ab93756963727b8dde43b405e2daee3e1bf9deb
git bisect good 1cca1199b6200e517d3f920d74a28521e9308767
# bad: [4fa662007dbb1a5295f260d4b2d53aa04edbabd3] source sha:804c9453cf1cd636959872f71b694544ffd3f76f
git bisect bad 4fa662007dbb1a5295f260d4b2d53aa04edbabd3
# good: [42734cee10e8a99bbdf4a5fdca177d888c317926] source sha:c342960d01b8df8f92b499c204af869c5417985e
git bisect good 42734cee10e8a99bbdf4a5fdca177d888c317926
# bad: [0aa176d46bac843eea7f479828abafde86e6dd0d] source sha:340d4f9d8e726827113967e91f05d4831727180a
git bisect bad 0aa176d46bac843eea7f479828abafde86e6dd0d
# good: [12c75eaf01d54b23c27bb3ba95bcc962416f46d2] source sha:49c92a3b46b8f4c3303ea17a508f91a0c87d54f6
git bisect good 12c75eaf01d54b23c27bb3ba95bcc962416f46d2
# bad: [672420151c7978ae817576b652c40a1e88e56416] source sha:243b5b392906042ab03800e0b5765e6f3513372c
git bisect bad 672420151c7978ae817576b652c40a1e88e56416
# good: [62070b946440530c16a0e34e77ebffded30e8b20] source sha:6830aa8962116601f22542944e196242207068c7
git bisect good 62070b946440530c16a0e34e77ebffded30e8b20
# good: [2f4b252709e64375514be0e2aa0a1b75fa57dd60] source sha:3d98a2b8135315c57af86490eac32963688e3be4
git bisect good 2f4b252709e64375514be0e2aa0a1b75fa57dd60
# good: [e50089f10148619d86bf3ae31ee73c09c6a11c82] source sha:01cd1d68d96057624db38b9baaa6c6795353758d
git bisect good e50089f10148619d86bf3ae31ee73c09c6a11c82
# first bad commit: [672420151c7978ae817576b652c40a1e88e56416] source sha:243b5b392906042ab03800e0b5765e6f3513372c

Steps to Reproduce:
1. Open write and type in some text.
2. Press F7 for a spell check.
3. Tab to the pane which contains context for the incorrect item.

Actual Results:
Pressing arrow keys to read the text is silent and no text is read when tab lands on the item.

Expected Results:
Orca and NVDA should read the text.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Version: 6.3.0.0.beta2+
Build ID: 01cd1d68d96057624db38b9baaa6c6795353758d
CPU threads: 8; OS: Linux 5.2; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 am_dxer 2019-08-14 23:29:25 UTC
The commit that introduced this was:
commit 243b5b392906042ab03800e0b5765e6f3513372c
Author: Caolán McNamara <caolanm@redhat.com>
Date:   Fri Jun 14 21:56:44 2019 +0100

    weld SpellDialog
    
    a) use EditEngine instead of TextEngine as the former can be hosted in a
       foreign widget
    b) use a SfxGrabBagItem to hold the custom spellchecking info inside the
       EditEngine
    c) in longer paragraphs the current word is now auto-scrolled into view
    d) rename Invalidate to InvalidateDialog
Comment 2 am_dxer 2019-08-14 23:32:18 UTC
Adding you hoping you might have insight into this. Thank you.
Comment 3 Alex ARNAUD 2019-08-16 08:33:17 UTC
Hello all,

I can reproduce this issue on LibreOfficeDev 6.4 of the 2019-08-09.

Thanks you am_dxer for the report.

Best regards.
Comment 4 Caolán McNamara 2019-09-02 09:04:41 UTC
The editengine is has a11y support, the linkage to make it available in this dialog setting needs to be put in place
Comment 5 Commit Notification 2019-09-02 15:04:40 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/ae5fc99491cf61b02b8dc1c666c88435beadf3e5%5E%21

Related: tdf#126935 rearrange spell dialog for expected tab traversal

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-09-03 08:09:29 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/5785fc06836607b3a0a25e649d81b8607b22d4af%5E%21

Resolves: tdf#126935 a11y for hosted EditEngine

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-09-08 12:01:34 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/c2bd5be0253068f2fc02e23c6f00b8fec2a0f723%5E%21

Related: tdf#126935 rearrange spell dialog for expected tab traversal

It will be available in 6.3.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2019-09-17 12:44:33 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/c10fcfa4353801f64f203d11180c11a21b28f75e%5E%21

Resolves: tdf#126935 a11y for hosted EditEngine

It will be available in 6.3.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2019-09-18 13:52:27 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3-2":

https://git.libreoffice.org/core/commit/5b6981f71f85dcc8d8c8d9fcbfef2617fd537c7b

Related: tdf#126935 rearrange spell dialog for expected tab traversal

It will be available in 6.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Xisco Faulí 2019-12-03 10:57:06 UTC
A polite ping to Caolán McNamara:
Is this bug fixed? if so, could you please close it as RESOLVED FIXED ?
Otherwise, Could you please explain what's missing?
Thanks
Comment 11 Caolán McNamara 2019-12-03 11:11:12 UTC
should all be good in 6.3.3, I missed the cut for full a11y fix in 6.3.2 I think, hence the lack of closing at the time